Bug 49622 - free list corrupt error after red-carpet upgrade
free list corrupt error after red-carpet upgrade
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
6.2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-07-21 15:43 EDT by Al Castro
Modified: 2007-04-18 12:34 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-07-21 15:52:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
output of red-carpet and rpm --rebuilddb (23.43 KB, image/jpeg)
2001-07-21 15:52 EDT, Al Castro
no flags Details

  None (edit)
Description Al Castro 2001-07-21 15:43:04 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.4.4 i686)

Description of problem:
Just finished upgrading to Gnome 1.4 and wanted to try out the Evolution
snapshot. So i started to download the necesary files for evolution to be
installed. Red carpet suddenly
collapsed. Now every time i try to run red-carpet i get the following
message: 
error: free list corrupt (3221256) 
On the other hand rpm-rebuilddb does not fix the problem. 

How reproducible:
Always

Steps to Reproduce:
1.red-carpet
2.rpm --rebuilddb
3.rpm --rebuilddb
	

Actual Results:  error: free list corrupt (3221256) please run "rpm
--rebuilddb"
error: free list corrupt (3221256) please run "rpm --rebuilddb"

Additional info:

When i finished upgrading to Gnome 1.4 i i went ahead and downloaded all
the packages on the Red Hat 6.2 channel. I upgraded everything that was
there. rpm, popt, fetchmail, sendmail, everything except for the kernel
sources and XFree. Days later i ran red-carpet again to try the latest
Evolution snapshot. Downloaded the necesary files and then red-carpet died
with the message mentioned above. Now i find myself in a position where i
cannot install any RPM packages and update packages.
Comment 1 Al Castro 2001-07-21 15:52:07 EDT
Created attachment 24447 [details]
output of red-carpet and rpm --rebuilddb
Comment 2 Jeff Johnson 2001-07-21 15:56:46 EDT
Grab the rpm-4.0.3-0.57 packages from
	ftp://ftp.rpm.org/pub/rpm/test-4.0.3
install and do
	rpm --rebuilddb -vv

Note You need to log in before you can comment on or make changes to this bug.